Subject: [alpine-devel] [PATCH] main/vim: split vimdiff out to subpackage

From: Eivind Uggedal <[email-masked]>
Date: Mon, 7 Apr 2014 13:21:36 +0000

Since vimdiff does not work with busybox diff we can
depend on diffutils in the subpackage.
---
 main/vim/APKBUILD | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/main/vim/APKBUILD b/main/vim/APKBUILD
index dde552ffef52..b227bff9759c 100644
--- a/main/vim/APKBUILD
+++ b/main/vim/APKBUILD
@@ -3,14 +3,14 @@ pkgname=vim
 pkgver=7.4
 _srcver=${pkgver%.*}
 _patchver=${pkgver##*.}
-pkgrel=2
+pkgrel=3
 pkgdesc="advanced text editor"
 url="http://www.vim.org"
 arch="all"
 license='GPL'
 depends=
 makedepends="ncurses-dev lua5.2-dev"
-subpackages="$pkgname-doc"
+subpackages="$pkgname-doc ${pkgname}diff"
 #source="http://dev.alpinelinux.org/archive/vim/vim-$pkgver.tar.xz
 source="ftp://ftp.vim.org/pub/vim/unix/vim-$pkgver.tar.bz2
 	vim-gcc47.patch
@@ -48,6 +48,15 @@ package() {
 	install -D "$srcdir"/vimrc "$pkgdir"/etc/vim/vimrc
 }
 
+vimdiff() {
+	pkgdesc="view file diffs in vim"
+	arch="noarch"
+	depends="diffutils"
+
+	install -d "$subpkgdir"/usr/bin || return 1
+	mv "$pkgdir"/usr/bin/vimdiff "$subpkgdir"/usr/bin
+}
+
 md5sums="607e135c559be642f210094ad023dc65  vim-7.4.tar.bz2
 a2e71b09d38921d43d2a552d4f0bd1aa  vim-gcc47.patch
 97aecde2ab504e543a96bec84b3b5638  vimrc"
-- 
1.9.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---